Download it now!
Bug 78041 - FILESAVE: error bars properties in charts are not properly saved (or restored)
Summary: FILESAVE: error bars properties in charts are not properly saved (or restored)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-28 18:16 UTC by bruno.binet
Modified: 2014-05-05 20:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bruno.binet 2014-04-28 18:16:05 UTC
This is a follow-up of bug 75510.

The 4 properties of the error bar line are either not stored or recovered properly (style, color, width and transparency). It happens (at least) with "constant value" or "cell range" category, symmetric or not.    

To reproduce:

1) enter 2 columns of numbers (a few lines) and create an XY chart with them.
2) insert X (and or Y) error bar (constant value or cell range).
3) in the "line" tab, change the style, color, width and transparency to something clearly visible.
4) save and close the file.
5) open the file and see the line properties returned to default.
6) return to the "line" tab and see the chosen properties have been lost.

N.B. This is a must have feature for science graphs where grid lines can hide default error bars.
Comment 1 Commit Notification 2014-05-01 00:36:17 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=200963d3019b7d296f4e22c5e6874eef8b84012b

set graphic properties for error bars during import, fdo#78041



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-05-01 00:36:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d185dc3b443a99dad0b192319c22dca615ce51d

add test for fdo#78041



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-05-05 20:10:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=206d59068e1293382a6d11b4caef7ebbd323fb86&h=libreoffice-4-2

set graphic properties for error bars during import, fdo#78041


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.